=== doc/CMakeLists.txt ===
install(DIRECTORY doxygen/
        DESTINATION ${IGN_DATA_INSTALL_DIR}/doxygen)
