=== examples/prerelease/src/CMakeLists.txt ===

ign_create_core_library(INTERFACE)
