=== debian/changelog ===
ignition-cmake2 (2.1.1+dfsg-3) unstable; urgency=medium

  * Fix install file. Closes: #947441

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Jan 2020 15:52:30 +0000

ignition-cmake2 (2.1.1+dfsg-2) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Use Comment tag in copyright
  * Do not to repack sources, tar.gz2 preferred

  [ Jochen Sprickerhof ]
  * Simplify comment in d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 25 Dec 2019 22:33:23 +0100

ignition-cmake2 (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1.1
    (Closes: #944539)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Nov 2019 15:46:23 +0000
