=== debian/control ===
Source: ignition-cmake2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               libjs-mathjax,
               libgtest-dev,
               pkg-config,
               python3
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/ignition-cmake2
Vcs-Git: https://salsa.debian.org/science-team/ignition-cmake2.git
Rules-Requires-Root: no
Homepage: http://ignitionrobotics.org/libraries/cmake

Package: libignition-cmake2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Description: Ignition Robotics CMake Library - Development files
 CMake modules to be used by the Ignition projects.
 .
 This package is required to build ignition projects, as well as to link your
 third party projects against them. It provides modules that are used to find
 dependencies of ignition projects and generate cmake targets for consumers of
 ignition projects to link against.
