=== debian/tests/control ===
Tests: build
Depends: libignition-cmake2-dev, cmake, g++, pkg-config
