=== debian/watch ===
version=4
opts= dversionmangle=s/\+dfsg// \
  http://gazebosim.org/distributions/ign-cmake/releases/ .*ignition-cmake2-(\d\.\d\.\d)\.tar.bz2
