## ignition-cmake2 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake2 VERSION 2.1.1)
+project(ignition-cmake2 VERSION 2.9.0)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake
@@ -20,7 +20,11 @@
 
 #--------------------------------------
 # Set up the project
-ign_configure_project()
+ign_configure_project(VERSION_SUFFIX)
+
+#--------------------------------------
+# Set project-specific options
+option(BUILDSYSTEM_TESTING "Enable extended buildsystem testing" FALSE)
 
 #--------------------------------------
 # Install the ignition documentation files
@@ -39,6 +43,10 @@
 install(DIRECTORY codecheck/
         DESTINATION ${IGN_DATA_INSTALL_DIR}/codecheck)
 
+#--------------------------------------
+# Install the tools files
+install(DIRECTORY tools/
+        DESTINATION ${IGN_DATA_INSTALL_DIR}/tools)
 
 #============================================================================
 # Configure the package to be installed
@@ -52,6 +60,7 @@
 set(ign_config_install_dir "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${PROJECT_NAME_LOWER}")
 set(ign_pkgconfig_input "${CMAKE_CURRENT_SOURCE_DIR}/config/ignition-cmake.pc.in")
 set(ign_pkgconfig_output "${CMAKE_BINARY_DIR}/ignition-cmake${PROJECT_VERSION_MAJOR}.pc")
+set(ign_pkgconfig_install_dir "${IGN_LIB_INSTALL_DIR}/pkgconfig")
 set(ign_utilities_target ${PROJECT_EXPORT_NAME}-utilities)
 set(ign_utilities_import_target_name ${PROJECT_EXPORT_NAME}::${ign_utilities_target})
 set(ign_utilities_target_output_filename "${ign_utilities_target}-targets.cmake")
@@ -82,11 +91,16 @@
 
 #--------------------------------------
 # Configure and install the pkgconfig file (needed for utilities headers)
+file(RELATIVE_PATH
+  IGN_PC_CONFIG_RELATIVE_PATH_TO_PREFIX
+  "${CMAKE_INSTALL_PREFIX}/${ign_pkgconfig_install_dir}"
+  "${CMAKE_INSTALL_PREFIX}"
+)
 configure_file(${ign_pkgconfig_input} ${ign_pkgconfig_output} @ONLY)
 
 install(
   FILES ${ign_pkgconfig_output}
-  DESTINATION ${IGN_LIB_INSTALL_DIR}/pkgconfig
+  DESTINATION ${ign_pkgconfig_install_dir}
   COMPONENT pkgconfig)
 
 #============================================================================
@@ -148,7 +162,9 @@
 include(CTest)
 if (BUILD_TESTING)
   add_subdirectory(test)
-
+endif()
+
+if (BUILD_TESTING AND BUILDSYSTEM_TESTING)
   #============================================================================
   # Build examples
   #============================================================================
@@ -176,3 +192,24 @@
 
   add_subdirectory(examples)
 endif()
+
+# Codecheck
+set(CPPCHECK_DIRS
+  ${CMAKE_SOURCE_DIR}/examples
+)
+set(CPPCHECK_INCLUDE_DIRS
+  ${CMAKE_SOURCE_DIR}/include
+  ${CMAKE_SOURCE_DIR}/examples
+)
+set(IGNITION_CMAKE_CODECHECK_DIR "${CMAKE_CURRENT_SOURCE_DIR}/codecheck")
+include(IgnCodeCheck)
+ign_setup_target_for_codecheck()
+
+# Docs
+set(IGNITION_CMAKE_DOXYGEN_DIR "${CMAKE_CURRENT_SOURCE_DIR}/doc/doxygen")
+configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
+configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)
+ign_create_docs(
+  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
+  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
+  )
