=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 include(ExternalProject)
+include(GNUInstallDirs)
 
 # test multiple build types
 set(build_types Release RelWithDebInfo Debug)
@@ -8,11 +9,12 @@
 endif()
 
 set(example_directories
-  ign_configure_build
+  ign_conf
   prerelease
-  core_no_deps
+  core_nodep
   core_child
-  component_deps
+  core_child_private
+  comp_deps
   )
 if (NOT CMAKE_GENERATOR MATCHES "Visual Studio")
   list(APPEND example_directories
@@ -22,23 +24,22 @@
   )
 endif()
 
-# test to see if we have programs necessary to run codecheck
-include(IgnCodeCheck)
-ign_setup_target_for_codecheck()
-
 foreach(example ${example_directories})
   set(run_codecheck false)
-  if (${example} STREQUAL "ign_configure_build")
+  if (${example} STREQUAL "ign_conf")
     set(example_tarball_name ignition-minimal-0.1.0.tar.bz2)
   elseif (${example} STREQUAL "prerelease")
     set(example_tarball_name ignition-minimal-1.0.0~pre1.tar.bz2)
-  elseif (${example} STREQUAL "core_no_deps")
+  elseif (${example} STREQUAL "core_nodep")
     set(example_tarball_name ignition-core_no_deps-0.1.0.tar.bz2)
     set(run_codecheck true)
   elseif (${example} STREQUAL "core_child")
     set(example_tarball_name ignition-core_child-0.1.0.tar.bz2)
     set(run_codecheck true)
-  elseif (${example} STREQUAL "component_deps")
+  elseif (${example} STREQUAL "core_child_private")
+    set(example_tarball_name ignition-core_child_private-0.1.0.tar.bz2)
+    set(run_codecheck true)
+  elseif (${example} STREQUAL "comp_deps")
     set(example_tarball_name ignition-component_deps-0.1.0.tar.bz2)
   elseif (${example} STREQUAL "use_component_depsA")
     set(example_tarball_name ignition-use_component_depsa-0.1.0.tar.bz2)
@@ -147,21 +148,23 @@
 # hard to use DEPENDS in ExternalProject_Add because targets
 # need to exist before they can be used there
 foreach (build_type ${build_types})
-  add_dependencies(core_child_${build_type} core_no_deps_${build_type})
+  add_dependencies(core_child_${build_type} core_nodep_${build_type})
+  add_dependencies(core_child_private_${build_type} core_nodep_${build_type})
   if (TARGET use_component_depsA_${build_type})
-    add_dependencies(use_component_depsA_${build_type} component_deps_${build_type})
+    add_dependencies(use_component_depsA_${build_type} comp_deps_${build_type})
   endif()
   if (TARGET use_component_depsB_${build_type})
-    add_dependencies(use_component_depsB_${build_type} component_deps_${build_type})
+    add_dependencies(use_component_depsB_${build_type} comp_deps_${build_type})
   endif()
   if (TARGET use_component_depsC_${build_type})
-    add_dependencies(use_component_depsC_${build_type} component_deps_${build_type})
+    add_dependencies(use_component_depsC_${build_type} comp_deps_${build_type})
   endif()
 endforeach()
 
-# test that core_child pkg-config file requires core_no_deps
+# test that core_child pkg-config file requires core_nodep
+# and that core_child_private pkg-config file requires core_nodep privately
 if (UNIX)
-  set(TEST_NAME core_child_requires_core_no_deps)
+  set(TEST_NAME core_child_requires_core_nodep)
   string(TIMESTAMP TEST_TIME)
   configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/junit_pass.xml.in"
@@ -172,7 +175,16 @@
     "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_fail.xml"
     @ONLY)
   set(_env_vars)
-  list(APPEND _env_vars "PKG_CONFIG_PATH=${example_INSTALL_DIR}/lib/pkgconfig:${FAKE_INSTALL_PREFIX}/lib/pkgconfig:$PKG_CONFIG_PATH")
+  # On Debian and if the install prefix is /usr, the default CMAKE_INSTALL_LIBDIR of this project
+  # as set by GNUInstallDirs will be different from the one of the example project, 
+  # so let's hardcode it in that case
+  if(EXISTS "/etc/debian_version" AND "${CMAKE_INSTALL_PREFIX}" MATCHES "^/usr/?$")
+    set(example_PKGCONFIG_INSTALL_LIBDIR "lib/pkgconfig")
+  else()
+    set(example_PKGCONFIG_INSTALL_LIBDIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+  endif()
+
+  list(APPEND _env_vars "PKG_CONFIG_PATH=${example_INSTALL_DIR}/${example_PKGCONFIG_INSTALL_LIBDIR}:${FAKE_INSTALL_PREFIX}/${example_PKGCONFIG_INSTALL_LIBDIR}:$PKG_CONFIG_PATH")
   add_test(${TEST_NAME}
     ${CMAKE_CURRENT_SOURCE_DIR}/test_core_child_requires_core_no_deps.bash
   )
