=== debian/changelog ===
ignition-cmake2 (2.9.0-1~buster) buster; urgency=medium

  * ignition-cmake2 2.9.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 02 Sep 2021 11:28:46 -0500

ignition-cmake2 (2.8.0-1~buster) buster; urgency=medium

  * ignition-cmake2 2.8.0-1 release

 -- Ashton Larkin <ashton@openrobotics.org>  Tue, 04 May 2021 11:30:43 -0600

ignition-cmake2 (2.7.0-1~buster) buster; urgency=medium

  * ignition-cmake2 2.7.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 11:53:17 -0700

ignition-cmake2 (2.7.0~pre2-1~buster) buster; urgency=medium

  * ignition-cmake2 2.7.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 24 Mar 2021 17:00:29 -0700

ignition-cmake2 (2.7.0~pre1-1~buster) buster; urgency=medium

  * ignition-cmake2 2.7.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 04 Feb 2021 13:51:40 -0800

ignition-cmake2 (2.6.2-1~buster) buster; urgency=medium

  * ignition-cmake2 2.6.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 30 Dec 2020 10:07:21 -0800

ignition-cmake2 (2.6.1-1~buster) buster; urgency=medium

  * ignition-cmake2 2.6.1-1 release

 -- Ashton Larkin <ashton@openrobotics.org>  Thu, 10 Dec 2020 18:09:34 -0500

ignition-cmake2 (2.6.0-1~buster) buster; urgency=medium

  * ignition-cmake2 2.6.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 08 Dec 2020 11:21:43 -0600

ignition-cmake2 (2.5.0-1~buster) buster; urgency=medium

  * ignition-cmake2 2.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 08 Sep 2020 16:18:44 -0700

ignition-cmake2 (2.4.0-1~buster) buster; urgency=medium

  * ignition-cmake2 2.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 20 Aug 2020 17:47:57 -0700

ignition-cmake2 (2.3.0-1~buster) buster; urgency=medium

  * ignition-cmake2 2.3.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 07 Aug 2020 21:48:28 +0200

ignition-cmake2 (2.2.0-1~buster) buster; urgency=medium

  * ignition-cmake2 2.2.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Mon, 06 Apr 2020 13:58:43 -0800

ignition-cmake2 (2.1.1-1~buster) buster; urgency=medium

  * ignition-cmake2 2.1.1-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Wed, 07 Aug 2019 18:32:58 -0800
