=== debian/control ===
Source: ignition-cmake2
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9)
Vcs-Browser: https://bitbucket.org/ignitionrobotics/ign_cmake-release
Vcs-Hg: https://bitbucket.org/ignitionrobotics/ign_cmake-release
Homepage: http://ignitionrobotics.org/

Package: libignition-cmake2-dev
Architecture: any
Section: libdevel
Depends: cmake
Multi-Arch: same
Description: Ignition Robotics CMake Library - Development files
