=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_configure override_dh_auto_install

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
            -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install
	# The test suite install artifacts on HOME/ that ended up on the binary.
	# Remove everything except usr/*
	find 'debian/libignition-cmake2-dev/' -mindepth 1 -maxdepth 1 ! -name 'usr' -type d -exec rm -rf {} +
