=== debian/changelog ===
ignition-cmake2 (2.15.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.15.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Mon, 29 Aug 2022 16:21:32 -0700

ignition-cmake2 (2.14.0-2~focal) focal; urgency=medium

  * ignition-cmake2 2.14.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Aug 2022 11:30:20 -0700

ignition-cmake2 (2.14.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.14.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Mon, 25 Jul 2022 16:02:03 -0700

ignition-cmake2 (2.13.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.13.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 22 Jul 2022 13:58:22 -0700

ignition-cmake2 (2.12.1-1~focal) focal; urgency=medium

  * ignition-cmake2 2.12.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Apr 2022 22:44:53 +0200

ignition-cmake2 (2.12.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.12.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Apr 2022 21:07:00 +0200

ignition-cmake2 (2.12.0~pre1-1~focal) focal; urgency=medium

  * ignition-cmake2 2.12.0~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 Apr 2022 15:56:28 +0200

ignition-cmake2 (2.11.0-2~focal) focal; urgency=medium

  * ignition-cmake2 2.11.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 16 Mar 2022 12:28:51 +0100

ignition-cmake2 (2.11.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.11.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Feb 2022 20:42:24 -0600

ignition-cmake2 (2.10.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.10.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Tue, 21 Dec 2021 23:03:40 -0800

ignition-cmake2 (2.10.0~pre3-1~focal) focal; urgency=medium

  * ignition-cmake2 2.10.0~pre3-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Mon, 20 Dec 2021 15:51:49 -0800

ignition-cmake2 (2.10.0~pre2-1~focal) focal; urgency=medium

  * ignition-cmake2 2.10.0~pre2-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 17 Dec 2021 10:08:03 -0800

ignition-cmake2 (2.10.0~pre1-1~focal) focal; urgency=medium

  * ignition-cmake2 2.10.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 09 Dec 2021 08:36:00 -0800

ignition-cmake2 (2.9.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.9.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 02 Sep 2021 11:28:46 -0500

ignition-cmake2 (2.8.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.8.0-1 release

 -- Ashton Larkin <ashton@openrobotics.org>  Tue, 04 May 2021 11:30:43 -0600

ignition-cmake2 (2.7.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.7.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 11:53:16 -0700

ignition-cmake2 (2.7.0~pre2-1~focal) focal; urgency=medium

  * ignition-cmake2 2.7.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 24 Mar 2021 17:00:29 -0700

ignition-cmake2 (2.7.0~pre1-1~focal) focal; urgency=medium

  * ignition-cmake2 2.7.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 04 Feb 2021 13:51:39 -0800

ignition-cmake2 (2.6.2-1~focal) focal; urgency=medium

  * ignition-cmake2 2.6.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 30 Dec 2020 10:07:20 -0800

ignition-cmake2 (2.6.1-1~focal) focal; urgency=medium

  * ignition-cmake2 2.6.1-1 release

 -- Ashton Larkin <ashton@openrobotics.org>  Thu, 10 Dec 2020 18:09:34 -0500

ignition-cmake2 (2.6.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.6.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 08 Dec 2020 11:21:43 -0600

ignition-cmake2 (2.5.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 08 Sep 2020 16:18:44 -0700

ignition-cmake2 (2.4.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 20 Aug 2020 17:47:57 -0700

ignition-cmake2 (2.3.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.3.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 07 Aug 2020 21:48:28 +0200

ignition-cmake2 (2.2.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.2.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Mon, 06 Apr 2020 13:58:43 -0800
