## ignition-cmake2 2.17.1

=== debian/changelog ===
ignition-cmake2 (2.17.1-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.17.1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 31 Aug 2023 15:18:46 -0500

ignition-cmake2 (2.17.0-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.17.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 22 May 2023 11:46:56 +0200

ignition-cmake2 (2.16.0-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.16.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Nov 2022 01:38:54 +0100

ignition-cmake2 (2.15.0-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.15.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Mon, 29 Aug 2022 16:21:32 -0700

ignition-cmake2 (2.14.0-2~jammy) jammy; urgency=medium

  * ignition-cmake2 2.14.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Aug 2022 11:30:19 -0700

ignition-cmake2 (2.14.0-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.14.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Mon, 25 Jul 2022 16:02:02 -0700

ignition-cmake2 (2.13.0-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.13.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 22 Jul 2022 13:58:22 -0700

ignition-cmake2 (2.12.1-2~jammy) jammy; urgency=medium

  * ignition-cmake2 2.12.1-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 May 2022 21:38:20 +0200

ignition-cmake2 (2.12.1-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.12.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Apr 2022 22:44:52 +0200

ignition-cmake2 (2.12.0-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.12.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Apr 2022 21:06:59 +0200

ignition-cmake2 (2.12.0~pre1-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.12.0~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 Apr 2022 15:56:27 +0200

ignition-cmake2 (2.11.0-2~jammy) jammy; urgency=medium

  * ignition-cmake2 2.11.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 16 Mar 2022 12:29:47 +0100

ignition-cmake2 (2.11.0-1~jammy) jammy; urgency=medium

  * ignition-cmake2 2.11.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Feb 2022 20:42:23 -0600

ignition-cmake2 (2.10.0-99~jammy) jammy; urgency=medium

  * ignition-cmake2 2.10.0-99 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 15 Feb 2022 19:30:27 +0100

ignition-cmake2 (2.10.0-1~jammy) jammy; urgency=medium

  * First release for jammy

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 14 Jan 2022 19:12:08 +0100
