=== debian/control ===
--- 
+++ 
@@ -14,6 +14,9 @@
 Architecture: any
 Section: libdevel
 Depends: cmake, ${misc:Depends}
+Breaks: libignition-cmake-dev (<= 2.10.0-2)
+Replaces: libignition-cmake-dev (<= 2.10.0-2)
+Provides: libignition-cmake-dev (= ${binary:Version})
 Multi-Arch: same
 Description: Gazebo CMake Library - Development files
  CMake modules to be used by the Gazebo projects.
