=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_configure override_dh_auto_install

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
            -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	# Remove artifacts installed by testing
	dh_auto_install
	find . -type d -name install | xargs rm -rf
	find . -type d -empty -delete
