=== debian/tests/control ===
Tests: build
Depends: @, cmake, g++, pkg-config
