=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/gazebosim/gz-cmake/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz
