## ignition-cmake2 2.17.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake2 VERSION 2.15.0)
+project(ignition-cmake2 VERSION 2.17.2)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake
@@ -63,7 +63,7 @@
 set(ign_config_install_dir "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${PROJECT_NAME_LOWER}")
 set(ign_pkgconfig_input "${CMAKE_CURRENT_SOURCE_DIR}/config/ignition-cmake.pc.in")
 set(ign_pkgconfig_output "${CMAKE_BINARY_DIR}/ignition-cmake${PROJECT_VERSION_MAJOR}.pc")
-set(ign_pkgconfig_install_dir "${IGN_LIB_INSTALL_DIR}/pkgconfig")
+set(ign_pkgconfig_install_dir "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig")
 set(ign_utilities_target ${PROJECT_EXPORT_NAME}-utilities)
 set(ign_utilities_import_target_name ${PROJECT_EXPORT_NAME}::${ign_utilities_target})
 set(ign_utilities_target_output_filename "${ign_utilities_target}-targets.cmake")
@@ -96,9 +96,17 @@
 # Configure and install the pkgconfig file (needed for utilities headers)
 file(RELATIVE_PATH
   IGN_PC_CONFIG_RELATIVE_PATH_TO_PREFIX
-  "${CMAKE_INSTALL_PREFIX}/${ign_pkgconfig_install_dir}"
+  "${ign_pkgconfig_install_dir}"
   "${CMAKE_INSTALL_PREFIX}"
 )
+
+# TODO(jrivero): CMake 3.20 provides cmake_path(APPEND) which implements the
+# same functionality as join_paths(). Remove JoinPaths in the next major version
+# if all the supported platforms are in 3.20 version.
+include(JoinPaths)
+join_paths(IGN_PC_LIBDIR "\${prefix}" "${CMAKE_INSTALL_LIBDIR}")
+join_paths(IGN_PC_INCLUDEDIR "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}" "${IGN_INCLUDE_INSTALL_DIR_POSTFIX}")
+
 configure_file(${ign_pkgconfig_input} ${ign_pkgconfig_output} @ONLY)
 
 install(
