=== debian/changelog ===
ignition-cmake2 (2.17.2-1~focal) focal; urgency=medium

  * ignition-cmake2 2.17.2-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 08 May 2024 15:44:45 +0200

ignition-cmake2 (2.17.1-1~focal) focal; urgency=medium

  * ignition-cmake2 2.17.1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 31 Aug 2023 15:18:45 -0500

ignition-cmake2 (2.17.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.17.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 22 May 2023 11:46:56 +0200

ignition-cmake2 (2.16.0-1~focal) focal; urgency=medium

  * ignition-cmake2 2.16.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Nov 2022 01:38:54 +0100
